Skip to main content
POST
/
v2.01
/
{ClientId}
/
deposit-preauthorizations
/
payment-methods
/
paypal
{
    "Tag": "Created using the Mangopay API Postman collection",
    "AuthorId": "user_m_01KHXAHEBRWSZXJY85TPPR56TK",
    "DebitedFunds": {
        "Currency": "GBP",
        "Amount": 1000
    },
    "ReturnURL": "https://www.example.com",
    "CancelURL": "https://www.example.net",
    "StatementDescriptor": "Example123",
    "Shipping": {
        "FirstName": "Alex",
        "LastName": "Smith",
        "Address": {
            "AddressLine1": "10 Kingsway",
            "City": "London",
            "Region": null,
            "PostalCode": "WC2B 6LH",
            "Country": "GB"
        }
    },
    "LineItems": [
        {
            "Name": "Running shoes",
            "Quantity": "1",
            "UnitAmount": 1000,
            "TaxAmount": 0,
            "Description": "ID of Seller 1",
            "Category": "PHYSICAL_GOODS"
        }
    ],
    "Culture": "EN",
    "ShippingPreference": "SET_PROVIDED_ADDRESS",
    "Reference": "1234",
    "DataCollectionId": "77b23645-dba3-4948-a5ba-32a134a3148d"
}
{
    "ShippingPreference": "SET_PROVIDED_ADDRESS",
    "PaypalBuyerAccountEmail": null,
    "Reference": "1234",
    "CancelURL": "http://www.example.net/?depositId=deposit_wt_05e5e212-fa97-4d67-8c5e-1495eb91d8b4",
    "PaypalPayerID": null,
    "BuyerCountry": null,
    "BuyerFirstname": null,
    "BuyerLastname": null,
    "BuyerPhone": null,
    "PaypalOrderID": "6L593294612936822",
    "Trackings": null,
    "LineItems": [
        {
            "Name": "Running shoes",
            "Quantity": 1,
            "UnitAmount": 1000,
            "TaxAmount": 0,
            "Description": "ID of Seller 1",
            "Category": "PHYSICAL_GOODS",
            "Sku": null,
            "Discount": 0
        }
    ],
    "Id": "deposit_wt_05e5e212-fa97-4d67-8c5e-1495eb91d8b4",
    "CreationDate": 1774263809,
    "ExpirationDate": 1776855809,
    "AuthorId": "user_m_01KMD5PX2KPDVQ0C37XR375MPP",
    "DebitedFunds": {
        "Currency": "GBP",
        "Amount": 1000
    },
    "Status": "CREATED",
    "PaymentStatus": "WAITING",
    "PayinsLinked": {
        "PayinCaptureId": null,
        "PayinComplementId": null
    },
    "ResultCode": null,
    "ResultMessage": null,
    "PaymentType": "PAYPAL",
    "ExecutionType": "WEB",
    "StatementDescriptor": "Example123",
    "Culture": "EN",
    "Billing": null,
    "Shipping": {
        "FirstName": "Alex",
        "LastName": "Smith",
        "Address": {
            "AddressLine1": "10 Kingsway",
            "City": "London",
            "Region": null,
            "PostalCode": "WC2B 6LH",
            "Country": "GB"
        }
    },
    "Tag": "Created using the Mangopay API Postman collection",
    "RedirectURL": "https://www.paypal.com/checkoutnow?token=6L593294612936822",
    "ReturnURL": "https://www.example.com/?depositId=deposit_wt_05e5e212-fa97-4d67-8c5e-1495eb91d8b4"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint returns a PayPal RedirectURL on which the user can preauthorize the debited funds.
Best practice - Capture funds within 3 daysPayPal recommends that you capture preauthorized funds within 3 days (using POST Create a Preauthorized PayPal PayIn). This is because the success of the capture is subject to risk and the availability of funds on the card (or other funding instrument) that the user has linked to their PayPal account.

Body parameters

AuthorId
string
required
The unique identifier of the user at the source of the transaction.
DebitedFunds
object
required
Information about the preauthorized funds.
ReturnURL
string
required
Max. length: 255 charactersThe URL to which the user is returned after the payment, whether the transaction is successful or not.
CancelURL
string
The URL to which the user is returned after canceling the payment. If not provided, the Cancel button returns the user to the RedirectURL.
DataCollectionId
string
The unique identifier of the Data Collection object containing the data sent for this pay-in via the POST Submit data for a PayPal PayIn endpoint.Each PayPal pay-in or preauth requires a new DataCollectionId. The property is not returned on the pay-in endpoints.
ShippingPreference
string
Allowed values: SET_PROVIDED_ADDRESS, GET_FROM_FILE, NO_SHIPPINGInformation about the shipping address behavior on the PayPal payment page:
  • SET_PROVIDED_ADDRESS - The Shipping parameter becomes required and its values are displayed to the end user, who is not able to modify them.
  • GET_FROM_FILE – The Shipping parameter is ignored and the end user can choose from registered addresses.
  • NO_SHIPPING – No shipping address section is displayed.
Shipping
object
Required if ShippingPreference is SET_PROVIDED_ADDRESS.Information about the end user’s shipping address, managed by ShippingPreference.
Reference
string
Max. length: 127 characters (truncated after)The platform’s order reference for the transaction.
Tag
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
StatementDescriptor
string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
Culture
string
Allowed values: One of the supported languages in the ISO 639-1 format: AT, BR, CA, CH, CN, DE, DK, ES, FR, GB, ID, IL, IT, JK, JP, NL, NO, PL, PT, RU, SE, TH, TR, TW, US.The language in which the PayPal payment page is to be displayed.
ProfilingAttemptReference
string
The unique reference generated for the profiling session, used by the fraud prevention solution to produce recommendations for the transaction using the profiling data.Note: Parameter not returned by the API. Profiling feature available on request – contact Mangopay via the Dashboard for more information.

Responses

ShippingPreference
string
Returned values: SET_PROVIDED_ADDRESS, GET_FROM_FILE, NO_SHIPPINGInformation about the shipping address behavior on the PayPal payment page:
  • SET_PROVIDED_ADDRESS - The Shipping parameter becomes required and its values are displayed to the end user, who is not able to modify them.
  • GET_FROM_FILE – The Shipping parameter is ignored and the end user can choose from registered addresses.
  • NO_SHIPPING – No shipping address section is displayed.
PaypalBuyerAccountEmail
string
The email address registered on the PayPal account used to make the payment.
Reference
string
Max. length: 127 characters (truncated after)The platform’s order reference for the transaction.
CancelURL
string
The URL to which the user is returned after canceling the payment. If not provided, the Cancel button returns the user to the RedirectURL.
PaypalOrderID
string
PayPal’s unique identifier for the order.
BuyerFirstname
string
The first name of the buyer.
BuyerPhone
string
The mobile phone number of the buyer.
BuyerCountry
string
The country of the buyer.
BuyerLastname
string
The last name of the buyer.
PaypalPayerID
string
The PayPal identifier of the buyer.
Trackings
array (object)
Shipping information of the LineItems added to the pay-in object.
Id
string
Max. length: 255 charactersThe unique identifier of the PayPal preauthorization.
CreationDate
Unix timestamp
The date and time at which the object was created.
ExpirationDate
Unix timestamp
The date and time at which the hold period ends and the preauthorized funds are released.
At the expiration date, the deposit preauthorization’s PaymentStatus changes to EXPIRED if no captures were made.
AuthorId
string
The unique identifier of the user at the source of the transaction.
DebitedFunds
object
Information about the preauthorized funds.
Status
string
Returned values: CREATED, SUCCEEDED, FAILEDThe status of the authorization.
PaymentStatus
string
Returned values: WAITING, CANCELED, CANCEL_REQUESTED, EXPIRED, VALIDATED, FAILEDThe payment status of the deposit preauthorization object:
  • WAITING – The deposit preauthorization can be used: the preauthorized funds can be captured (if Status is SUCCEEDED) or the preauthorization can be canceled manually.
  • CANCELED – Value to pass to manually cancel the deposit preauthorization before use; indicates that the deposit preauthorization was canceled manually.
  • CANCEL_REQUESTED – The cancellation of the deposit preauthorization has been requested but not yet processed.
  • EXPIRED – The hold period on the preauthorized funds has ended without it being used.
  • VALIDATED – Indicates that the preauthorized funds were captured.
  • FAILED – The pay-in against the preauthorization has failed, but a retry may be possible.
PayinsLinked
object
Information about the deposit preauthorized pay-ins made against the deposit preauthorization.
ResultCode
string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
ResultMessage
string
The explanation of the result code.
PaymentType
string
Returned values: PAYPALThe type of pay-in.
ExecutionType
string
Returned values: WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.
StatementDescriptor
string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
Culture
string
Returned values: One of the supported languages in the ISO 639-1 format: AT, BR, CA, CH, CN, DE, DK, ES, FR, GB, ID, IL, IT, JK, JP, NL, NO, PL, PT, RU, SE, TH, TR, TW, US.The language in which the PayPal payment page is to be displayed.
Billing
object
Returned null because the billing address is not applicable to PayPal preauth.
Shipping
object
Information about the end user’s shipping address, managed by ShippingPreference.
Tag
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
{
    "ShippingPreference": "SET_PROVIDED_ADDRESS",
    "PaypalBuyerAccountEmail": null,
    "Reference": "1234",
    "CancelURL": "http://www.example.net/?depositId=deposit_wt_05e5e212-fa97-4d67-8c5e-1495eb91d8b4",
    "PaypalPayerID": null,
    "BuyerCountry": null,
    "BuyerFirstname": null,
    "BuyerLastname": null,
    "BuyerPhone": null,
    "PaypalOrderID": "6L593294612936822",
    "Trackings": null,
    "LineItems": [
        {
            "Name": "Running shoes",
            "Quantity": 1,
            "UnitAmount": 1000,
            "TaxAmount": 0,
            "Description": "ID of Seller 1",
            "Category": "PHYSICAL_GOODS",
            "Sku": null,
            "Discount": 0
        }
    ],
    "Id": "deposit_wt_05e5e212-fa97-4d67-8c5e-1495eb91d8b4",
    "CreationDate": 1774263809,
    "ExpirationDate": 1776855809,
    "AuthorId": "user_m_01KMD5PX2KPDVQ0C37XR375MPP",
    "DebitedFunds": {
        "Currency": "GBP",
        "Amount": 1000
    },
    "Status": "CREATED",
    "PaymentStatus": "WAITING",
    "PayinsLinked": {
        "PayinCaptureId": null,
        "PayinComplementId": null
    },
    "ResultCode": null,
    "ResultMessage": null,
    "PaymentType": "PAYPAL",
    "ExecutionType": "WEB",
    "StatementDescriptor": "Example123",
    "Culture": "EN",
    "Billing": null,
    "Shipping": {
        "FirstName": "Alex",
        "LastName": "Smith",
        "Address": {
            "AddressLine1": "10 Kingsway",
            "City": "London",
            "Region": null,
            "PostalCode": "WC2B 6LH",
            "Country": "GB"
        }
    },
    "Tag": "Created using the Mangopay API Postman collection",
    "RedirectURL": "https://www.paypal.com/checkoutnow?token=6L593294612936822",
    "ReturnURL": "https://www.example.com/?depositId=deposit_wt_05e5e212-fa97-4d67-8c5e-1495eb91d8b4"
}
{
    "Tag": "Created using the Mangopay API Postman collection",
    "AuthorId": "user_m_01KHXAHEBRWSZXJY85TPPR56TK",
    "DebitedFunds": {
        "Currency": "GBP",
        "Amount": 1000
    },
    "ReturnURL": "https://www.example.com",
    "CancelURL": "https://www.example.net",
    "StatementDescriptor": "Example123",
    "Shipping": {
        "FirstName": "Alex",
        "LastName": "Smith",
        "Address": {
            "AddressLine1": "10 Kingsway",
            "City": "London",
            "Region": null,
            "PostalCode": "WC2B 6LH",
            "Country": "GB"
        }
    },
    "LineItems": [
        {
            "Name": "Running shoes",
            "Quantity": "1",
            "UnitAmount": 1000,
            "TaxAmount": 0,
            "Description": "ID of Seller 1",
            "Category": "PHYSICAL_GOODS"
        }
    ],
    "Culture": "EN",
    "ShippingPreference": "SET_PROVIDED_ADDRESS",
    "Reference": "1234",
    "DataCollectionId": "77b23645-dba3-4948-a5ba-32a134a3148d"
}